//
//  PetalsAroundTheRoseAppDelegate.h
//  PetalsAroundTheRose
//
//  Created by Albert Freeman on 9/15/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

//  Further "improvements"
//  - Lose the dice labels (before publishing code)
//  - More graphical UI
//  - Use entire screen, not just upper portion
//      - learn how to shift the view upward when keyboard comes up

#import <UIKit/UIKit.h>

@interface PetalsAroundTheRoseAppDelegate : NSObject <UIApplicationDelegate> {
    /*
    UILabel *_d1text;
    UILabel *_d2text;
    UILabel *_d3text;
    UILabel *_d4text;
    UILabel *_d5text;
    //*/
    UIImageView *_d1image;
    UIImageView *_d2image;
    UIImageView *_d3image;
    UIImageView *_d4image;
    UIImageView *_d5image;
    UITextField *_userGuessValue;
    UIButton *_fetchGuess;
    UILabel *_guessResult;
    NSNumber *total;
    NSArray *artwork;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;

/*
@property (nonatomic, retain) IBOutlet UILabel *d1text;
@property (nonatomic, retain) IBOutlet UILabel *d2text;
@property (nonatomic, retain) IBOutlet UILabel *d3text;
@property (nonatomic, retain) IBOutlet UILabel *d4text;
@property (nonatomic, retain) IBOutlet UILabel *d5text;
//*/
@property (nonatomic, retain) IBOutlet UIImageView *d1image;
@property (nonatomic, retain) IBOutlet UIImageView *d2image;
@property (nonatomic, retain) IBOutlet UIImageView *d3image;
@property (nonatomic, retain) IBOutlet UIImageView *d4image;
@property (nonatomic, retain) IBOutlet UIImageView *d5image;
@property (nonatomic, retain) IBOutlet UITextField *userGuessValue;
@property (nonatomic, retain) IBOutlet UILabel *guessResult;

- (IBAction)rollDice:(id)sender;
- (IBAction)fetchGuess:(id)sender;

@end
